%
% call:  sys_K=comp_controller(sys_open_loop,feedback_inputs,feedback_outputs,K,L,sys_Q)
%
% sys_K is an observed state-feedback controller with an additional Youla parameter.
%
% sys_open_loop contains the open loop plant (with ss format)
%
% feedback_inputs  is the list of plant  inputs used by feedback.
%
% feedback_outputs is the list of plant outputs used by feedback.
%
% K and L are stabilizing state-feedback and observer gains.
% With A = sys_open_loop.a, B = sys_open_loop.b(:,feedback_inputs),
% and C = sys_open_loop.c(feedback_outputs,:), the eigenvalues of A-BK
% and A-LC must lie in the left half plane.
%
% sys_Q is the value of the Youla parameter.
%
% Caution ! The open loop plant model seen by the feedback controller must be strictly proper.
%
