%
% call:  puls_valid=comp_puls_valid(sys_open_loop,feedback_inputs,feedback_outputs,K,L,sys_Q0,list_poles,valid)
%
% Computation of a fine frequency gridding for validation and H2 specifications.
%
% see comp_controller.m for sys_open_loop, feedback_inputs, feedback_outputs, K and L.
%
% The basis of Q is Q0 + \sum_i \theta_i Q_i, where the theta_i are the optimisation parameters.
%
% sys_Q0 is a state-space representation of Q0.
% list_poles is the list of poles of the filters Qi (see gene_basis.m).
%
% valid.puls is the initial frequency gridding, which is then refined around the frequencies
% of the CLOSED LOOP flexible modes, defined as poles with a damping ratio between 0 and valid.cxi.
% valid.N additional points are added around the frequency w of each CLOSED LOOP bending mode.
% More precisely the points are defined as: linspace((1-valid.range)*w,(1+valid.range)*w,valid.N) 
%
