%
% call:  [critical_puls,H2_OK]=validation(freq_resp,puls,specif,puls_specif,alfa_opt)
%        [critical_puls,H2_OK]=validation(freq_resp,puls,specif,puls_specif,alfa_opt,options)
%        [critical_puls,H2_OK]=validation(freq_resp,puls,specif,puls_specif,alfa_opt,options,first_figure)
%
% Checking of the frequency-domain specifications for a given closed loop. 
%
% specif and puls_specif describe the specifications.
%
% freq_resp is the closed loop frequency response on puls (for a given value of the Youla parameter).
% critical_puls(i) gives the worst-case frequency, for which the template #i is the most
% violated (constraint or minimized objective alfa_opt).
% critical_puls(i) = NaN if this template is not violated.
%
% H2_OK = 1 if the H2 constraints are satisfied.
%
% options.tol1 = relative tolerance, with which the frequency domain templates must be satisfied.
% Default value is 0.05.
%
% options.tol2 = relative difference between two critical frequencies in critical_puls, under which
% they are merged into a single one. Default value is 0.01.
%
% first_figure is the number of the first figure for visualisation. The default value is 1.
%
% if first_figure < 0, the first figure is abs(first_figure), with "hold on" on the figure(s).
%
% No graphical display if first_figure=0
%
